Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1.xpath20
Class JaxpFunctionResolver.CombineUrl

    java.lang.Object
      org.apache.ode.bpel.rtrep.v1.xpath20.JaxpFunctionResolver.CombineUrl

All Implemented Interfaces:
  javax.xml.xpath.XPathFunction

Enclosing class:
  JaxpFunctionResolver

    public static class JaxpFunctionResolver.CombineUrl

extends java.lang.Object
implements javax.xml.xpath.XPathFunction

Takes the relative URL and combines it with the base URL to return a new absolute URL. If the relative parameter is an absolute URL, returns it instead.

As described in section 5 of rfc2396.

This implementation relies heavily on `URL`. As thus, the same restrictions apply, especially regarding encoding.

"The URL class does not itself encode or decode any URL components according to the escaping mechanism defined in RFC2396. It is the responsibility of the caller to encode any fields, which need to be escaped prior to calling URL, and also to decode any escaped fields, that are returned from URL."

See Also:
  `URL`, `URL.URL(java.net.URL, String)`

Constructor Summary
`JaxpFunctionResolver.CombineUrl()`

Method Summary
`java.lang.Object` | `evaluate(java.util.List args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxpFunctionResolver.CombineUrl

    public JaxpFunctionResolver.CombineUrl()

Method Detail

### evaluate

    public java.lang.Object evaluate(java.util.List args)
                              throws javax.xml.xpath.XPathFunctionException

  Specified by:
    `evaluate` in interface `javax.xml.xpath.XPathFunction`
  Throws:
    `javax.xml.xpath.XPathFunctionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD